* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  width: 100vw !important;
  height: 100vh;
}
h2 {
  font-size: 24px;
}

.navContainer {
  width: 100%;
  height: 100%;
}
.object-cover {
  object-fit: cover !important;
}
.gridContainer {
  width: 100vw;
  min-height: 250vh;
}

.cite h5 {
  text-align: center;
}

h4,
h2 {
  padding-left: 26px;
}

.calcContainer {
  text-align: center;
}

.Header {
  text-align: center;
  color: cornflowerblue;
  padding-right: 20px;
}

.Header nav {
  width: 100vw;
}

.Aside1 {
  text-align: center;
  padding-top: 15px;
}

.Aside2 {
  text-align: center;
}

.Body {
  height: 100%;
  width: 100%;
  text-align: center;
  color: black;
  padding-bottom: 150px;
}
.carouselPadding {
  padding: 5%;
}

/*styling for the body starts here*/

.carouselContainer {
  width: 100%;
  height: 80vh;
  margin-top: 30px;
  margin-bottom: 200px;
}

.carouselContainer img {
  height: 80vh;
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.carousel-caption {
  background-color: #0000005b;
  border-radius: 10px;
  padding: 20px;
  height: 250px;
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  justify-content: center !important;
}

.banner {
  position: relative !important;
}

#myVideo {
  width: 100vw !important;
  height: 130vh !important;
  object-fit: cover;
  position: fixed !important;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
}
.textContainer {
  width: 80%;
  margin: auto;
  padding: 50px 0;
  text-align: justify;
}

.textContainer h2 {
  padding-bottom: 30px;
}

.textContainer a {
  text-decoration: none;
  color: rgb(3, 56, 3);
  font-size: 25px;
}

.textContainer i {
  font-size: 20px;
  margin-left: 15px;
  margin-right: 15px;
}

.firstGrid {
  display: grid;
  grid-template-columns: 60% 40%;
  padding-bottom: 100px;
}

.lightGreyBox {
  text-align: justify;
}

.lightGreyBox h2 {
  padding-bottom: 30px;
}

.lightGreyBox span:hover {
  font-size: 32px;
  transition-duration: 1s;
  transition-delay: 0.2s;
}

.lightGreyBox q {
  font-size: 18px;
}

.firstGridImageContainer{
  text-align: center;
}

.firstGridImageContainer img {
  width: 100%;
  height: 100%;
  aspect-ratio: 1;
  object-fit: cover;

}

.gridImageContainer img {
  width: 100%;
  height: 100%;
  padding-right: 30px;
}

.firstSpan {
  color: rgb(90, 90, 90);
}

.secondSpan {
  color: rgb(17, 17, 17);
}

.greenHeading {
  color: rgb(3, 84, 3);
}

h4,
h2 {
  padding-left: 26px;
}



.imageContainer {
  width: 600px;
  height: 400px;
  margin: auto;
}

.imageContainer img {
  width: 100%;
  height: 100%;
}

.differentEnergiesH {
  color: rgb(25, 56, 34);
}

.differentEnergiesGrid {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
  flex-wrap: wrap;
  color: rgb(25, 56, 34);
}

.differentEnergiesGrid img {
  width: 250px;
  height: 150px;
  object-fit: cover;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.differentEnergiesGrid a {
  text-decoration: none;
  color: rgb(25, 56, 34);
}

.secondGrid {
  display: grid;
  grid-template-columns: 60% 40%;
  padding-top: 200px;

  grid-column-gap: 50px;
}

.lightGreyBox {
  padding: 30px;
  text-align: center;
}

.lightGreyBox h2 {
  padding-bottom: 30px;
}

.lightGreyBox span:hover {
  font-size: 32px;
  transition-duration: 1s;
  transition-delay: 0.2s;
}

.lightGreyBox q {
  font-size: 18px;
}

.secondGrid .boxes {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
}

.secondGrid a {
  color: #325931;
  text-decoration: none;
}

.secondGrid .box {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  list-style: none;
  background-color: rgb(103, 212, 81);
  width: 170px;
  height: 100px;
  padding: 20px;
  font-size: 14px;
  font-weight: 700;
  border-radius: 8px;
  text-align: center;
}

.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

.heading1 {
  width: 80%;
  margin: auto;
  text-align: left;
}


.biomassImage{
  width: 350px !important;
}




/* .container-box {
  position: relative;
  z-index: 99999;
  width: 70vw;
  height: 70vh;
  background-image: url('../images/houseBG.png');
  background-size: cover;
  background-position: center;
  margin: auto;
}

.circle {
  width: 50px;
  height: 50px;
  background-color: #007bff;
  border: 10px solid white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  cursor: pointer;
  position: absolute;
  transition: background-color 0.3s;
  animation: pulse 0.6s infinite; 
}

.circle:hover {
  transform: scale(1.2);
  background-color: #0056b3;
}

@keyframes pulse {
  0% {
      transform: scale(1);
      background-color: #007bff;
  }

  50% {
      transform: scale(1.2);
      background-color: #0056b3;
  }

  100% {
      transform: scale(1);
      background-color: #007bff;
  }
}

/* to adjust the position of the circles */
/* .circle:nth-child(1) {
  top: 20%;
  left: 20%;
}

.circle:nth-child(2) {
  top: 30%;
  left: 50%;
}

.circle:nth-child(3) {
  top: 50%;
  left: 30%;
}

.circle:nth-child(4) {
  top: 70%;
  left: 60%;
}

.circle:nth-child(5) {
  top: 20%;
  left: 80%;
}

.circle:nth-child(6) {
  top: 40%;
  left: 10%;
}

.circle:nth-child(7) {
  top: 60%;
  left: 40%;
}

.circle:nth-child(8) {
  top: 80%;
  left: 70%;
}

*/

@keyframes rubberBand {
  0% {
    transform: scale3d(1, 1, 1);
  }

  30% {
    transform: scale3d(1.1, 0.95, 1);
  }

  40% {
    transform: scale3d(0.95, 1.1, 1);
  }

  50% {
    transform: scale3d(1.1, 0.95, 1);
  }

  65% {
    transform: scale3d(0.95, 1.05, 1);
  }

  75% {
    transform: scale3d(1.05, 0.95, 1);
  }

  100% {
    transform: scale3d(1, 1, 1);
    
  }
}

/*styling for the body ends here*/

.Footer {
  width: 100%;
  color: white;
  grid-column: 1/4;
}

.logo {
  width: 80px;
  border-radius: 50%;
  box-shadow: 1px 1px 11px 1px black;
}
.my-flex{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.wrap-resp {
  display: flex !important;
  flex-direction: row !important;
  align-items: center !important;
  justify-content: center !important;
  gap: 30px !important;
}

.energy1:hover,.energy2:hover,.energy3:hover,.energy4:hover,.energy5:hover,.energy6:hover{
  scale:1.1;
transition:scale 0.5s ease;
}
.box:hover{
  scale: 1.1;
    transition: scale 0.5s ease;
}
@media only screen and (min-width: 200px) and (max-width: 700px) {
  /* .houseModel{
    display: none;
  } */

  .phone{
    width: 80% !important
  }

  .paddingheader1{
    margin-top: 12%;
  }

  .paddingheader2{
    margin-top: 12%;
  }

  .paddingheader4{
    margin-top: 25%
  }

  .phone1{
    width: 80% !important
  }

  .Aside2 {
    display: none;
  }
  .wrap-resp {
    text-align: start;
    display: flex !important;
    flex-direction: column !important;
    align-items: start !important;
    justify-content: start !important;
    flex-wrap: wrap;
    gap: 30px;
  }
  .speech-bubble{
    width: 300px;
    height: 150px;
    position: fixed;
    bottom: 80px;
    right: 69px;
    background-color: #00883992;
  }
  .xLogo{
    font-size: 45px;
    
  }
  .wrap-resp h2 {
    text-align: start;
  }
  .textContainer * {
    text-align: left;
  }
  .textContainer h2 {
    text-align: left;
  }
  .carouselPadding {
    padding: 0%;
  }
  .carouselContainer {
    width: 100%;
    height: 100vh;
  }

  .carouselContainer img {
    height: 100vh;
    width: 100vw;
  }

  .carousel-item {
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
    justify-content: center !important;
    height: 100vh;
  }
  .carousel-caption {
    width: 100%;
    height: 100vh;
    margin-left: -15vw;
  }

  .textContainer {
    width: 80%;
    margin: auto;
    padding: 50px 0;
    text-align: justify;
    font-size: 18px;
  }

  .firstGrid {
    display: grid;
    grid-template-columns: 1fr;
    padding-bottom: 100px;
  }
  .lightGreyBox {
    width: 100%;
  }
 #solarEnergy {
  margin-top: 40%;
 }
  .secondGrid {
    grid-template-columns: 1fr;
    padding-top: 200px;
    padding-bottom: 100px;
    padding-top: 200px;
  }

  .secondGrid .box {
    width: 100% !important;
  }

  .costsTop{
    display: flex !important;
    flex-direction: column !important;
    justify-content: center;
    align-items: center;

  }
  .costsTop h2{
    font-size: 24px !important;
    padding-left: 0;
  }



  .costsText{
    width: 50%;
    height: 50%;
    
  }
  .costsImage{
    width: 50%;
    height: 50%;
   
    
  }

  .costsImage img{
    width: 150px !important;
  }
}

@media only screen and (min-width: 750px) and (max-width: 1250px) {

  /* .houseModel{
    display: none;
  } */

  .carouselContainer {
    width: 100%;
    margin: auto;
    margin-top: 5%;
    height: 80vh;
    padding: 5%;
  }

  .speech-bubble{
    width: 300px;
    height: 150px;
    position: fixed;
    bottom: 80px;
    right: 69px;
    background-color: #00883992;
  }
  .xLogo{
    font-size: 30px;
    
  }

  .carouselContainer img {
    height: 80vh;
    width: 100vw;
  }

  .textContainer {
    width: 80%;
    margin: auto;
    padding: 50px 0;
    text-align: justify;
    font-size: 18px;
  }

  .firstGrid {
    display: grid;
    grid-template-columns: 1fr;
    padding-bottom: 100px;
  }
  .secondGrid .box {
    width: 100% !important;
  }

  .firstGridImageContainer {
 
    border-radius: 12px;
  }
  .gridImageContainer {
    padding-bottom: 100px;
    padding-right: 0px;
    border-radius: 12px;
  }
}
